/*** PAGE DE CONTACT ***/

.contact{
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 2em;
    margin-bottom: -7em;
}
/* contact form */
.contact__form{
    display: flex;
    flex-direction: column;
    align-items: center;
}
.contact__form > * {
    margin: 1em 0;
}
.contact__form > label {
    width: 100%;
}
.contact__form > label > *,
.contact__form > label > input[type="email"],
.contact__form > label > input[type="tel"],
.contact__form > label > input[type="text"] {
    display: block;
    width: 100%;
    background-color: #e8e8e88e;
    border: 1px solid #ddd;
    border-radius: 0;
    padding: 1rem;
    font-family: 'Poppins', sans-serif;
    font-size: 1rem;
    color: #333;
    outline: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    box-sizing: border-box;
    height: auto;
    min-height: 3rem;
    line-height: 1.2;
}
.contact__form textarea{
    max-width: 100%;
    max-height: 30vh;
}
.contact__form select{
	margin-top: 1rem;
	font-family: 'Poppins', sans-serif;
}
.contact__form ::placeholder{
    font-family: 'Poppins', sans-serif;
}
.contact__form > .contact__label-message > .contact__label-text {
    display: block;
    margin-bottom: 0.5em;
    background: none;
    padding: 0;
    border: none;
    width: auto;
}
.contact__title--white{
    font-size: 2rem;
}
.contact__title{
    position: relative;
    margin-bottom: 3rem;
}
.contact__title::after{
    position: absolute;
    content: '';
    width: 50%;
    height: 5px;
    bottom: -1rem;
    left: 25%;
    background-color: #00F3D8;
}
.contact :focus-visible{
    outline: 1px solid #00F3D8;
}

@media(min-width: 950px){
    .contact{
        flex-direction: row;
        padding: 7em 0;
        position: relative;
        align-items: center;
		padding-right: 20%;
    }
    .contact .blue-background{
        height: 100%;
        width: 20%;
        background-color: #00F3D8;
        position: absolute;
        top: 0;
        right: 0;
        z-index: -1;
    }
    .contact__form{
        width: 60%;
        margin-right: 5em;
    }
    .contact__infos{
        padding: 3em;
        margin-right: 5em;
		margin-top:0;
    }
}